# OrcDebug

## Functions

### orc_debug_get_level

    int
    orc_debug_get_level ()

Gets the current debug level.

Returns (int ) –

the current debug level

### orc_debug_print

    void
    orc_debug_print (int  level,
                     const char * file,
                     const char * func,
                     int  line,
                     const char * format)

Parameters:

`level` –
No description available
`file` –
No description available
`func` –
No description available
`line` –
No description available
`format` –
No description available
Returns (void ) –
No description available

### orc_debug_set_level

    void
    orc_debug_set_level (int  level)

Sets the current debug level.

Parameters:

`level` –

the new debug level

Returns (void ) –
No description available

### orc_debug_set_print_function

    void
    orc_debug_set_print_function (OrcDebugPrintFunc func)

Sets the function to call when outputting debugging information. A value of NULL for func will restore the default handler, which prints debugging information to stderr.

Parameters:

`func` –

the function to call

Returns (void ) –
No description available

## Enumerations

### OrcDebugLevel

    typedef enum {
      ORC_DEBUG_NONE = 0,
      ORC_DEBUG_ERROR,
      ORC_DEBUG_WARNING,
      ORC_DEBUG_INFO,
      ORC_DEBUG_DEBUG,
      ORC_DEBUG_LOG
    } OrcDebugLevel;

Enumeration describing debug levels in Orc.

#### Members

`ORC_DEBUG_NONE` (0) –

No debugging. Used to disable debugging output.

`ORC_DEBUG_ERROR` (1) –

The level for messages indicating that an error has occurred that causes Orc to produce incorrect results. Also used temporarily by developers for testing code.

`ORC_DEBUG_WARNING` (2) –

Messages at this level indicate something has occurred that a developer looking into an application problem may want to know.

`ORC_DEBUG_INFO` (3) –

Messages at this level provide high-level information about Orc internals.

`ORC_DEBUG_DEBUG` (4) –

The default level for logging messages.

`ORC_DEBUG_LOG` (5) –

The level for messages that probably don't need to be logged at all.

## Callbacks

### OrcDebugPrintFunc

    void
    (*OrcDebugPrintFunc) (const char * file,
                          const char * func,
                          int  line,
                          const char * format,
                          va_list varargs)

Typedef describing functions that can be registered using orc_debug_set_print_function so that it is called to print debugging messages.

Parameters:

`file` –

name of the file where the debug message occurs

`func` –

name of the function where the debug message occurs

`line` –

line in the file where the debug message occurs

`format` –

a printf format

`varargs` –

varargs for the printf format

Returns (void ) –
No description available

The results of the search are